QGIS Application - Feature request #14046

Exporting symbol from Style Manager : add a checkbox near each symbol to easier multiple
selection

2015-12-31 08:21 AM - Harrissou Santanna

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 22057
Description

When trying to export symbols from the Style Manager, you have a dialog with all available symbols. You then need to select the symbols,
holding Cirl or shift key.

It may be nice to have a dialog with a checkbox associated to each feature to allow multi selection without a need to hold a key. See how
is the dialog when you want to group symbols in a group.

It may however be interesting to extend the properties of this widget to allow Ctrl, Shift or click'n-drag to still select many symbols at once
(see #14045)

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-05-06 11:15 PM - Regis Haubourg
- Priority changed from Normal to Low

- Category set to Symbology
- Description updated

Not sure | get your point with the checkboxes and ctrl - shift hold behavior. Can you check in QGIS master if you're happy with it?
I believe that checkboxes are not really good for friendly UX, and the selection process works fine for me

#3 - 2017-05-24 05:03 PM - Harrissou Santanna
- Resolution set to wontfix

- Status changed from Open to Closed

Regis Haubourg wrote:

Not sure | get your point with the checkboxes and ctrl - shift hold behavior. Can you check in QGIS master if you're happy with it?

Neither do I. ;) he logic has quite changed and | no longer remember what | was looking for. Closing
